import request from '@/utils/request'

// 查询提现管理列表
export function listApi(query) {
  return request({
    url: '/withdrawalManage/list',
    method: 'get',
    params: query
  })
}

// 查询提现管理详细
export function getApi(id) {
  return request({
    url: '/withdrawalManage/' + id,
    method: 'get'
  })
}

// 新增提现管理
export function addApi(data) {
  return request({
    url: '/withdrawalManage',
    method: 'post',
    data: data
  })
}

// 修改提现管理
export function updateApi(data) {
  return request({
    url: '/withdrawalManage',
    method: 'put',
    data: data
  })
}

// 删除提现管理
export function delApi(id) {
  return request({
    url: '/withdrawalManage/' + id,
    method: 'delete'
  })
}
